> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/landing-pages/landing-page-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Landing page details

> Shows details of a landing page

## Landing Page Attributes
* `title` (string) - Title of the landing page
* `url` (string) - URL of the landing page
* `publish_at` (string) - Date and time the landing page will be published
* `created_at` (string) - Date and time the landing page was created
* `updated_at` (string) - Date and time the landing page was updated

## Sparse Fields
### Only return title attribute
* `GET /v1/landing_pages/123?fields[landing_pages]=title`

Response will only include requested fields
```json
{
  "data": {
    "id": "123",
    "type": "landing_pages",
    "attributes": {
      "title": "Course Landing Page"
    }
  }
}
```




## OpenAPI

````yaml /openapi.yaml get /v1/landing_pages/{id}
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/landing_pages/{id}:
    get:
      tags:
        - Landing pages
      summary: Landing page details
      description: >
        Shows details of a landing page


        ## Landing Page Attributes

        * `title` (string) - Title of the landing page

        * `url` (string) - URL of the landing page

        * `publish_at` (string) - Date and time the landing page will be
        published

        * `created_at` (string) - Date and time the landing page was created

        * `updated_at` (string) - Date and time the landing page was updated


        ## Sparse Fields

        ### Only return title attribute

        * `GET /v1/landing_pages/123?fields[landing_pages]=title`


        Response will only include requested fields

        ```json

        {
          "data": {
            "id": "123",
            "type": "landing_pages",
            "attributes": {
              "title": "Course Landing Page"
            }
          }
        }

        ```
      parameters:
        - name: id
          in: path
          required: true
          description: Landing page ID
          schema:
            type: string
        - name: fields[landing_pages]
          in: query
          required: false
          description: Partial attributes as specified, e.g. fields[landing_pages]=title
          schema:
            type: string
      responses:
        '200':
          description: Success, shows details of a landing page
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/landing_pages_show_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '404':
          description: landing page not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_not_found'
      security:
        - Bearer: []
components:
  schemas:
    landing_pages_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - landing_pages
            attributes:
              $ref: '#/components/schemas/landing_pages_attributes'
            relationships:
              type: object
              properties:
                site:
                  type: object
                  properties:
                    data:
                      $ref: '#/components/schemas/resource_identifier'
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_not_found:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    landing_pages_attributes:
      type: object
      properties:
        title:
          type: string
        url:
          type: string
        publish_at:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````